Bug 485582 - RV350 hardlocks with DRI + kernel-2.6.27.12-170.2.5.fc10.i686
RV350 hardlocks with DRI + kernel-2.6.27.12-170.2.5.fc10.i686
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-14 15:48 EST by Benjamin Lewis
Modified: 2009-05-17 15:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-17 15:25:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vvv (9.35 KB, text/plain)
2009-02-14 15:48 EST, Benjamin Lewis
no flags Details
dmesg (31.53 KB, text/plain)
2009-02-14 15:49 EST, Benjamin Lewis
no flags Details
Xorg.0.log (111.22 KB, text/plain)
2009-02-14 15:50 EST, Benjamin Lewis
no flags Details

  None (edit)
Description Benjamin Lewis 2009-02-14 15:48:59 EST
Created attachment 331938 [details]
lspci -vvv

Description of problem:
Sometime between kernel-PAE-2.6.27.4-68.fc10.i686 and kernel-PAE-2.6.27.12-170.2.5.fc10.i686 DRI has caused my RV350 to hardlock any time any accelerated 3D graphics are displayed with KMS enabled

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.10.0-2.fc10.i386
kernel-PAE-2.6.27.12-170.2.5.fc10.i686

How reproducible:
Almost always with kernel-PAE-2.6.27.12-170.2.5.fc10.i686, never with kernel-PAE-2.6.27.4-68.fc10.i686

Steps to Reproduce:
1. Boot kernel-PAE-2.6.27.12-170.2.5.fc10.i686
2. Run a DRI application, glxgears isn't always enough to trigger this, supertuxkart will 100% of the time
  
Actual results:
Screen goes black "Input out of range" and system hardlocks

Expected results:
3D graphics

Additional info:
I have attached the output of lspci -vvv; an Xorg.0.log and the output of dmesg.

FWIW, this also occurs with the non-PAE kernels.
Comment 1 Benjamin Lewis 2009-02-14 15:49:47 EST
Created attachment 331939 [details]
dmesg
Comment 2 Benjamin Lewis 2009-02-14 15:50:09 EST
Created attachment 331940 [details]
Xorg.0.log
Comment 3 Chuck Ebbert 2009-02-20 02:11:58 EST
Can you download some kernels from koji and test them to try and pinpoint when this started? Or just test whatever kernels are currently installed?
Comment 4 Benjamin Lewis 2009-02-20 07:32:14 EST
Ok, my results:

2.6.27.4-68.fc10.i686.PAE               - Good
2.6.27.5-117.fc10.i686.PAE              - "Input signal out of range"
2.6.27.9-159.fc10.i686.PAE              - System Freezes, but no out of range
2.6.27.12-170.2.5.fc10.i686.PAE         - "Input signal out of range"
2.6.27.15-170.2.24.fc10.i686.PAE        - "Input signal out of range"

It seems that something introduced in 2.6.27.5 has broken DRI.
Comment 5 Benjamin Lewis 2009-05-17 15:25:42 EDT
Just thought I'd report that this issue seems to have gone away now (kernel-PAE-2.6.27.19-170.2.35.fc10.i686 or possibly earlier).

Note You need to log in before you can comment on or make changes to this bug.